getCloudMssqlInstanceList

Prev Next

Available in VPC

Get the list of Cloud DB for MSSQL instances.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmssql/v2/getCloudMssqlInstanceList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.

Request query parameter

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MSSQL instance to view
  • See getRegionList
  • First Region of the getRegionList query result (default)
zoneCode String Optional Filter by zone code
vpcNo String Optional Filter by VPC number
subnetNo String Optional Filter by subnet number
cloudMssqlServiceName String Optional Filter by Cloud DB for MSSQL service name
cloudMssqlInstanceNoList.N List[String] Optional Filter by Cloud DB for MSSQL instance number
cloudMssqlServerName String Optional Filter by Cloud DB for MSSQL server name
cloudMssqlServerInstanceNoList.N List[String] Optional Filter by Cloud DB for MSSQL server instance number
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize
  • 0 (minimum)
pageSize Integer Conditional Number of results to display on a page
  • Page the result values using pageNo and pageSize
  • Required when entering pageNo
  • 1 - 1000
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlInstanceList
?regionCode=KR
&zoneCode=KR-1
&vpcNo=59***
&subnetNo=140***
&cloudMssqlServiceName=mssql004
&cloudMssqlServerName=m-2522****-002
&pageNo=0
&pageSize=1
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See CloudMssqlInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "getCloudMssqlInstanceListResponse": {
            "totalRows": 1,
            "cloudMssqlInstanceList": [
                {
                    "cloudMssqlInstanceNo": "2522****",
                    "cloudMssqlServiceName": "mssql004",
                    "cloudMssqlInstanceStatusName": "running",
                    "cloudMssqlInstanceStatus": {
                        "code": "CREAT",
                        "codeName": "CLOUD DATABASE(VPC) Created State"
                    },
                    "cloudMssqlInstanceOperation": {
                        "code": "NULL",
                        "codeName": "CLOUD DATABASE(VPC) Null OP"
                    },
                    "cloudMssqlServerInstanceList": [
                        {
                            "cloudMssqlServerInstanceNo": "2528****",
                            "cloudMssqlServerName": "m-2522****-001",
                            "cloudMssqlServerInstanceStatusName": "running",
                            "cloudMssqlServerInstanceStatus": {
                                "code": "RUN",
                                "codeName": "CLOUD DATABASE(VPC) Server Running State"
                            },
                            "cloudMssqlServerInstanceOperation": {
                                "code": "NOOP",
                                "codeName": "CLOUD DATABASE(VPC) Server Null OP"
                            },
                            "vpcNo": "59***",
                            "subnetNo": "140***",
                            "dataStorageSize": 107374182400,
                            "cpuCount": 2,
                            "memorySize": 4294967296
                        },
                        {
                            "cloudMssqlServerInstanceNo": "2528****",
                            "cloudMssqlServerName": "m-2522****-002",
                            "cloudMssqlServerInstanceStatusName": "running",
                            "cloudMssqlServerInstanceStatus": {
                                "code": "RUN",
                                "codeName": "CLOUD DATABASE(VPC) Server Running State"
                            },
                            "cloudMssqlServerInstanceOperation": {
                                "code": "NOOP",
                                "codeName": "CLOUD DATABASE(VPC) Server Null OP"
                            },
                            "vpcNo": "59***",
                            "subnetNo": "140***",
                            "dataStorageSize": 107374182400,
                            "cpuCount": 2,
                            "memorySize": 4294967296
                        },
                        {
                            "cloudMssqlServerInstanceNo": "2529****",
                            "cloudMssqlServerName": "m-2522****-003",
                            "cloudMssqlServerInstanceStatusName": "running",
                            "cloudMssqlServerInstanceStatus": {
                                "code": "RUN",
                                "codeName": "CLOUD DATABASE(VPC) Server Running State"
                            },
                            "cloudMssqlServerInstanceOperation": {
                                "code": "NOOP",
                                "codeName": "CLOUD DATABASE(VPC) Server Null OP"
                            },
                            "vpcNo": "59***",
                            "subnetNo": "140***",
                            "dataStorageSize": 107374182400,
                            "cpuCount": 2,
                            "memorySize": 4294967296
                        }
                    ]
                }
            ],
            "requestId": "cf2c1ae7-****-****-****-bcea41e82443",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMssqlInstanceListResponse>
        <requestId>cf2c1ae7-****-****-****-bcea41e82443</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudMssqlInstanceList>
            <cloudMssqlInstance>
                <cloudMssqlInstanceNo>2522****</cloudMssqlInstanceNo>
                <cloudMssqlServiceName>mssql004</cloudMssqlServiceName>
                <cloudMssqlInstanceStatusName>running</cloudMssqlInstanceStatusName>
                <cloudMssqlInstanceStatus>
                    <code>CREAT</code>
                    <codeName>CLOUD DATABASE(VPC) Created State</codeName>
                </cloudMssqlInstanceStatus>
                <cloudMssqlInstanceOperation>
                    <code>NULL</code>
                    <codeName>CLOUD DATABASE(VPC) Null OP</codeName>
                </cloudMssqlInstanceOperation>
                <cloudMssqlServerInstanceList>
                    <cloudMssqlServerInstance>
                        <cloudMssqlServerInstanceNo>2528****</cloudMssqlServerInstanceNo>
                        <cloudMssqlServerName>m-2522****-001</cloudMssqlServerName>
                        <cloudMssqlServerInstanceStatusName>running</cloudMssqlServerInstanceStatusName>
                        <cloudMssqlServerInstanceStatus>
                            <code>RUN</code>
                            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
                        </cloudMssqlServerInstanceStatus>
                        <cloudMssqlServerInstanceOperation>
                            <code>NOOP</code>
                            <codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
                        </cloudMssqlServerInstanceOperation>
                        <vpcNo>59***</vpcNo>
                        <subnetNo>140***</subnetNo>
                        <dataStorageSize>107374182400</dataStorageSize>
                        <cpuCount>2</cpuCount>
                        <memorySize>4294967296</memorySize>
                    </cloudMssqlServerInstance>
                    <cloudMssqlServerInstance>
                        <cloudMssqlServerInstanceNo>2528****</cloudMssqlServerInstanceNo>
                        <cloudMssqlServerName>m-2522****-002</cloudMssqlServerName>
                        <cloudMssqlServerInstanceStatusName>running</cloudMssqlServerInstanceStatusName>
                        <cloudMssqlServerInstanceStatus>
                            <code>RUN</code>
                            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
                        </cloudMssqlServerInstanceStatus>
                        <cloudMssqlServerInstanceOperation>
                            <code>NOOP</code>
                            <codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
                        </cloudMssqlServerInstanceOperation>
                        <vpcNo>59***</vpcNo>
                        <subnetNo>140***</subnetNo>
                        <dataStorageSize>107374182400</dataStorageSize>
                        <cpuCount>2</cpuCount>
                        <memorySize>4294967296</memorySize>
                    </cloudMssqlServerInstance>
                    <cloudMssqlServerInstance>
                        <cloudMssqlServerInstanceNo>2529****</cloudMssqlServerInstanceNo>
                        <cloudMssqlServerName>m-2522****-003</cloudMssqlServerName>
                        <cloudMssqlServerInstanceStatusName>running</cloudMssqlServerInstanceStatusName>
                        <cloudMssqlServerInstanceStatus>
                            <code>RUN</code>
                            <codeName>CLOUD DATABASE(VPC) Server Running State</codeName>
                        </cloudMssqlServerInstanceStatus>
                        <cloudMssqlServerInstanceOperation>
                            <code>NOOP</code>
                            <codeName>CLOUD DATABASE(VPC) Server Null OP</codeName>
                        </cloudMssqlServerInstanceOperation>
                        <vpcNo>59***</vpcNo>
                        <subnetNo>140***</subnetNo>
                        <dataStorageSize>107374182400</dataStorageSize>
                        <cpuCount>2</cpuCount>
                        <memorySize>4294967296</memorySize>
                    </cloudMssqlServerInstance>
                </cloudMssqlServerInstanceList>
            </cloudMssqlInstance>
        </cloudMssqlInstanceList>
    </getCloudMssqlInstanceListResponse>